[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Different python versions in a Fedora system



On Thu, 2007-05-17 at 14:08 +0530, Kushal Das wrote:
> Hi,
> Is there any way to keep different Python versions in a Fedora system ?
> There will some installation (around 292) state wise in kiosks. But the only 
> reason the team is refusing Fedora is its lack of support of keeping & 
> running different versions of Python . So, is there any work around ?

Python 2.4 is provided in FC6; Python 2.5 will be installed by default
on F7. Upstream does not maintain older versions in any way, not even in
terms of vulnerability patching, and therefore neither does Fedora. We
previously discussed the creation of a compat-python24 or the equivalent
on this list: if curious it might be telling to look into it. 

That being said, since neither Fedora nor Python are providing "support"
for Python, and moreover, since those old versions will never change and
will never require update, what's there to stop you from explicitly
installing the older version from source in a directory such as /opt?
The entire process is exceedingly trivial, and a simple script (called,
for example, python-2.4) could be created that simply changes the
library path and runs the appropriate version.

-sstangl


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]